Loading...
Searching...
No Matches
MeanCurvature< GridT, MaskGridType, InterruptT >::Functor Struct Reference

`#include <openvdb/tools/GridOperators.h>`

## Public Member Functions

| Functor (const GridT &grid, const MaskGridType *mask, bool threaded, InterruptT *interrupt)
template<typename MapT>
void | operator() (const MapT &map)

## Public Attributes

const bool | mThreaded
const GridT & | mInputGrid
GridT::Ptr | mOutputGrid
InterruptT * | mInterrupt
const MaskGridType * | mMask

## Constructor & Destructor Documentation

## Functor()

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

Functor | ( | const GridT & | grid,
|  | const MaskGridType * | mask,
|  | bool | threaded,
|  | InterruptT * | interrupt )

inline

## Member Function Documentation

## operator()()

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>
template<typename MapT>

void operator() | ( | const MapT & | map | ) |

inline

## Member Data Documentation

## mInputGrid

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

const GridT& mInputGrid

## mInterrupt

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

InterruptT* mInterrupt

## mMask

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

const MaskGridType* mMask

## mOutputGrid

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

GridT::Ptr mOutputGrid

## mThreaded

template<typename GridT, typename MaskGridType = typename gridop::ToMaskGrid<GridT>::Type, typename InterruptT = util::NullInterrupter>

const bool mThreaded